Subject: Still a problem (was: bug#23180: 2016-01-31; Auto-capitalize and change env)

From: Uwe Brauer <[email-masked]>
Date: Sat, 02 Apr 2016 17:31:04 +0000

>>> "Mosè" == Mosè Giordano <[email-masked]> writes:

    > Hi Uwe,
    > I dug further into the bug and noticed that it can be better
    > circumvented by setting `auto-capitalize-predicate' to

    >     (lambda () (not (save-match-data (texmathp))))

I did the change

(defun my-set-auto-capitalize ()
  (interactive)
  (set (make-local-variable 'auto-capitalize-predicate)
       (lambda () (not (save-match-data (texmathp))))))

Then when following the recipe;
emacs -Q

And loading the necessary files changing enviroments seems to work,
however not for my standard init setting, it seems that it is important
where that function is in the LaTeX-mode-hook.

(I think everybody is tired with this bug), 
So I thought of modifying directly the auto-capitalize code.

Most likely the line 
	       (funcall auto-capitalize-predicate)))

Should read

	       (funcall (save-match-data (auto-capitalize-predicate))))

Is this correct?

thanks

Uwe